:root {
    --brand-font-family: inherit;
    --brand-font-size: 48;
    --brand-alignment: inherit;
    --brand-color: #fff;
    --heading-font-family: inherit;
    --heading-font-size: 36;
    --heading-alignment: inherit;
    --heading-color: #fff;
    --title-font-family: inherit;
    --title-font-size: 16;
    --title-alignment: inherit;
    --title-color: #fff;
    --input-color: #fff;
    --input-border-radius: 12;
    --signup-btn-font-family: inherit;
    --signup-btn-border-radius: 12;
    --signup-btn-font-size: 14;
    --signup-btn-bg-color: #84d359;
    --signup-btn-bg-hover-color: #67a745;
    --signup-btn-color: #333;
    --signup-btn-hover-color: #333;
    --toast-bg-color: #84d359;
    --js-bg-blur: 0;
    --js-bg-color: #9a2f2f00;
    --footer-link-color: #fff;
    --bg-img: url('https://images.pexels.com/photos/1955134/pexels-photo-1955134.jpeg');
    --timer-bg: #ffffff8f;
}

* {
    margin: 0;
    padding: 0;
    scroll-behavior: smooth !important;
}

body {
    overflow: hidden;
}

.page-header.sticky,
.sticky {
    position: sticky;
    top: 0;
    z-index: 99;
}

settings-page-container {
    display: flex;
    flex-direction: row;
    gap: 16px;
    position: relative;
    justify-content: space-between;
    /* padding: 6px 12px; */
    /* padding: 0 12px 6px; */
}

settings-container {
    display: flex;
    flex-direction: column;
    /* justify-content: space-between; */
    justify-content: flex-start;
    gap: 16px;
    width: 100%;
}

preview-container {
    width: 100%;
    height: 100%;
    border-radius: 6px;
    border: 1px solid #ccc;
    padding: 12px;
    position: static;
    display: flex;
    flex-direction: column;
    gap: 16px;
    background-color: #fff;
}

.csp-content,
.sj-comingPageContainer {
    text-align: center;
    margin: auto;
    background: var(--bg-img);
    width: 100%;
    height: 100vh;
    justify-content: center;
    align-items: center;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

/* .blur-overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    height: 100vh;
    width: 100%;
    backdrop-filter: blur(calc(var(--js-bg-blur) * 1px));
    -webkit-backdrop-filter: blur(calc(var(--js-bg-blur) * 1px));
} */

/* toast msg */
.js-csp-toast {
    position: fixed;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    color: #333;
    padding: 8px;
    border-radius: 6px;
    background-color: var(--toast-bg-color);
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
    /* opacity: 0 !important; */
    display: none;
    pointer-events: none;
    transition: opacity 0.3s ease;
    z-index: 1000;
}

/* brand */
.csp-content h1 {
    font-family: var(--brand-font-family);
    font-size: calc(var(--brand-font-size) * 1px);
    color: var(--brand-color);
    align-self: var(--brand-alignment);
    text-align: var(--brand-alignment);
}

/* coming soon */
.csp-content h2 {
    font-family: var(--heading-font-family);
    font-size: calc(var(--heading-font-size) * 1px);
    color: var(--heading-color);
    align-self: var(--heading-alignment);
    text-align: var(--heading-alignment);
}

.csp-content p {
    font-family: var(--title-font-family);
    font-size: calc(var(--title-font-size) * 1px);
    color: var(--title-color);
    /* align-self: var(--title-alignment); */
    text-align: var(--title-alignment);
}

.js-csp-form {
    backdrop-filter: blur(2px);
    -webkit-backdrop-filter: blur(2px);
}

.js-csp-field {
    padding: 10px 12px;
    font-size: 14px;
    width: 320px;
    border: 1px solid #fff !important;
    border-color: #fff !important;
    border-radius: calc(var(--input-border-radius) * 1px);
    background-color: #00000000 !important;
    color: var(--input-color);
    outline-offset: 2px;
    outline: 3px solid #ffffff00;
}

.js-csp-field::placeholder {
    color: var(--input-color);
}

.js-csp-field:focus {
    outline: 3px solid #ffffff8f;
}

.js-csp-submit {
    cursor: pointer;
    border: none;
    outline: none;
    border-radius: calc(var(--signup-btn-border-radius) * 1px);
    padding: 8px 12px;
    font-size: var(--signup-btn-font-size);
    font-weight: 600;
    font-family: var(--signup-btn-font-family);
    color: var(--signup-btn-color);
    background-color: var(--signup-btn-bg-color);
    transition: 300ms;
    position: absolute;
    top: 3px;
    right: 6px;
}

.js-csp-submit:hover {
    color: var(--signup-btn-hover-color);
    background-color: var(--signup-btn-bg-hover-color);
}

.sm-link {
    /* border-radius: 50%;
    border-bottom: 2px solid #fff; */
    padding: 8px;
    transition: 500ms;
}

.sm-link a {
    color: var(--footer-link-color);
    fill: var(--footer-link-color);
}

.sm-link img {
    height: 26px;
    width: 26px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.sm-link:hover {
    /* transform: rotate(360deg); */
    /* transform: scale(1.1); */
    transform: scale(1.1) rotate(-20deg);
}

.csp-footer {
    position: absolute;
    right: 6px;
    top: 6px;
}

.csp-footer-link a {
    text-decoration: none;
    color: var(--footer-link-color);
    fill: var(--footer-link-color);
}

.sj-timer {
    display: flex;
    flex-direction: row;
    justify-content: center;
    text-align: center;
    gap: 6px;
}

.sj-time {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    /* background: var(--timer-bg); */
    color: #ffffff;
    /* backdrop-filter: blur(8px); */
    min-width: 34%;
    max-width: 34%;
    min-height: 90px;
    max-height: 90px;
    height: 90px;
    font-size: 24px;
    font-weight: 600;
}

/* timepicker */
.sj-timePicker {
    color: #333;
    background-color: #fafafa;
    border: 1px solid #ccc;
    border-radius: 6px;
    padding: 4px 8px;
    width: 100%;
    box-sizing: border-box;
    outline: none;
    transition: all 0.2s ease;
}

.sj-timePicker:focus {
    border-color: #007bff;
    box-shadow: 0 0 5px rgba(0, 123, 255, 0.3);
}

input[type="datetime-local"]::-webkit-calendar-picker-indicator {
    cursor: pointer;
}

/* .sj-timePicker {
    font-size: 16px;
    padding: 8px 12px;
    color: #333;
    background-color: #f9f9f9;
    border: 1px solid #ccc;
    border-radius: 6px;
    outline: none;
} */

.sj-timePicker:focus {
    border-color: #007bff;
    box-shadow: 0 0 3px rgba(0, 123, 255, 0.3);
}

.jsPass {
    cursor: pointer;
    /* top: unset !important; */
    /* bottom: 10px; */
    left: 6px;
    z-index: -1;
}

/* media queries */
@media (min-width: 2560px) {}

@media (max-width: 1440px) {}

@media (max-width: 1024px) {}

@media (max-width: 767px) {
    settings-page-container {
        flex-direction: column-reverse;
        gap: 12px;
        /* padding: 6px 8px; */
    }

    .page-header.sticky,
    .sticky {
        top: unset !important;
        position: relative;
    }
}

@media (max-width: 424px) {
    .sj-time {
        font-size: 20px;
    }

    .csp-footer {
        display: flex;
    }

    .csp-footer-link a span {
        display: none !important;
    }

    .csp-footer-link a svg {
        height: 28px !important;
        width: 28px !important;
    }

    .sectionSets {
        flex-direction: column;
    }
}

.validate-error {
    justify-content: var(--avp-dob-alignment);
}

.jsShow {
    animation: jsShow 0.5s forwards;
}

.jsHide {
    animation: jsHide 0.5s forwards;
}

@keyframes jsShow {
    from {
        opacity: 0;
        transform: translate(-50%, 20px);
    }

    to {
        opacity: 1;
    }
}

@keyframes jsHide {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
        transform: translate(-50%, 20px);
    }
}